V3.0
get
/ec-designer-svc/rest/v3.0/studies/library
Retrieves a list of the latest library studies in your system.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyDto v5.0
Title:
StudyDto v5.0Information about a study for UI consumption.
Nested Schema : StudyDto v5.0
Type:
objectTitle:
StudyDto v5.0Information about a study for UI consumption.
Show Source
-
approvedVersionsCount: integer
(int32)
Count of study in approved modeExample:
1 -
archivedVersionsCount: integer
(int32)
Count of study in archived modeExample:
1 -
companies: array
companies
Companies list who sponsor the study
-
companyLabels: array
companyLabels
Company labels associated with the study
-
contractCode: string
Study contract code or identifierExample:
NCT00000419 -
customerRefNo: string
Customer reference numberExample:
CRN-1001 -
description: string
Study descriptionExample:
A randomized double blind placebo controlled study. -
draftVersionsCount: integer
(int32)
Count of study in draft modeExample:
1 -
everApprovedCount: integer
(int32)
If study was ever approvedExample:
1 -
hasObjects: integer
(int32)
If study contains any artifactsExample:
1 -
id: string
(uuid)
Study Unique GUID
-
identity: string
Study identity - concatenation of study id and versionExample:
8C4ECDFD9C214D38B4E68D3107BA0AF9:1.0.0.3 -
lastModified: string
(date-time)
Last modified timestampExample:
2026-02-21T06:30:00Z -
modes: array
modes
-
openLabelBlinded: string
Study type for open label and blindedExample:
DoubleBlinded -
previousState: string
Allowed Values:
[ "settings, active, design, test, training" ]Previous study stateExample:design -
singleKitSettingId: string
Single kit idExample:
KIT-001 -
sourceStudyId: string
(uuid)
Study Unique GUID
-
sourceStudyTitle: string
(string)
Source study titleExample:
The study -
sourceStudyVersion: string
(string)
Source study versionExample:
1.0.0.1 -
sowNo: string
SOW numberExample:
SOW-2026-100 -
sponsorId: string
Sponsor IdExample:
SPONSOR-001 -
studyDescription: string
Study description or protocol titleExample:
A randomized double blind placebo controlled study to investigate the safety of microphylla in healthy adult volunteers. -
studyPhase: string
Study phaseExample:
II -
studyState: string
Allowed Values:
[ "settings, active, design, test, training" ]Current study stateExample:active -
studyStatus: string
Allowed Values:
[ "DRAFT", "TESTING", "APPROVED", "ARCHIVED" ]Current study statusExample:APPROVED -
studyStatusId: integer
(int32)
Study status IdExample:
473 -
studyTitle: string
Study Title or protocol numberExample:
TICIPS001 -
systemCodeListId: string
(uuid)
System Code List GUID
-
testingVersionsCount: integer
(int32)
Count of study in testing modeExample:
1 -
therapeuticArea: string
Study therapeutic areaExample:
Infectious Diseases -
useBlindingGroups: boolean
Whether study uses blinding groupsExample:
false -
useLabelGroups: boolean
Whether study uses label groupsExample:
false -
useShippinggroups: boolean
Whether study uses shipping groupsExample:
false -
version: string
Study versionExample:
1.0.0.3 -
versionEnd: string
(date-time)
Version EndExample:
3099-12-31T05:00:00Z -
versionPreviousStatus: string
Allowed Values:
[ "DRAFT", "TESTING", "APPROVED", "ARCHIVED" ]Previous study statusExample:TESTING -
versionStart: string
(date-time)
Version Start date
-
versionStatus: string
Study version statusExample:
Active, not recruiting -
versionTitle: string
Study Title or protocol numberExample:
TICIPS001:1.0.0.3 -
versionType: string
Study version typeExample:
Active, not recruiting
Nested Schema : companies
Type:
arrayCompanies list who sponsor the study
Show Source
-
Array of:
string
Companies list who sponsor the studyExample:
ABC Pharma
Example:
ABC PharmaNested Schema : companyLabels
Type:
arrayCompany labels associated with the study
Show Source
-
Array of:
string
Company labels associated with the studyExample:
ABC Pharma
Example:
ABC PharmaNested Schema : modes
Type:
Show Source
array-
Array of:
string
Allowed Values:
[ "test", "training", "active" ]Study modesExample:active
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object